Skip to main content
GET
/
api
/
public
/
v2
/
evaluations
List Evaluations
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/evaluations \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.promptlayer.com/api/public/v2/evaluations"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.promptlayer.com/api/public/v2/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "evaluations": [
    {
      "id": 123,
      "name": "<string>",
      "workspace_id": 123,
      "comment": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "folder_id": 123,
      "user_id": 123,
      "dataset_id": 123,
      "is_blueprint": true,
      "tags": {},
      "deleted": true,
      "parent_report_id": 123,
      "score_configuration": {},
      "runs": [
        {
          "id": 123,
          "name": "<string>",
          "comment": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "workspace_id": 123,
          "folder_id": 123,
          "user_id": 123,
          "dataset_id": 123,
          "is_blueprint": true,
          "tags": {},
          "deleted": true,
          "parent_report_id": 123,
          "score_configuration": {},
          "score": {},
          "score_matrix": "<array>",
          "score_calculation_error": "<string>",
          "stats": {
            "status_counts": {}
          }
        }
      ],
      "external_ids": [
        {
          "source": "<string>",
          "external_id": "<string>"
        }
      ]
    }
  ],
  "page": 123,
  "per_page": 123,
  "total": 123,
  "pages": 123
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"success": false,
"message": "<string>",
"error": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
Retrieve a paginated list of evaluations in your workspace.

Authorizations

X-API-KEY
string
header
required

Query Parameters

workspace_id
integer

Filter by specific workspace ID. If not provided, uses the current user's workspace

Required range: x >= 1
name
string

Filter evaluations by name (case-insensitive partial match)

status
enum<string>
default:active

Filter evaluations by status: 'active' (default) returns only active evaluations, 'deleted' returns only deleted/archived evaluations, 'all' returns both

Available options:
active,
deleted,
all
include_runs
boolean
default:false

If true, include batch runs nested under each evaluation. Each run includes its full report data, status (RUNNING or COMPLETED), and cell status counts.

page
integer
default:1

Page number for pagination

Required range: x >= 1
per_page
integer
default:10

Number of items per page

Required range: 1 <= x <= 100
created_by_email
string

Filter by the creator's email address.

created_after
string<date-time>

Filter resources created at or after this timestamp.

created_before
string<date-time>

Filter resources created at or before this timestamp.

updated_after
string<date-time>

Filter resources updated at or after this timestamp.

updated_before
string<date-time>

Filter resources updated at or before this timestamp.

external_source
string

External ID source to filter by. Must be provided with external_id.

external_id
string

External ID value to filter by. Must be provided with external_source.

sort_by
enum<string>

Sort field.

Available options:
created_at,
updated_at,
name,
id
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

Successful response

success
boolean
required
message
string
required
evaluations
object[]
required
page
integer
required
per_page
integer
required
total
integer
required
pages
integer
required